DELETE /v1/organizations/{orgId}/knowledge/bulk
Bulk delete org knowledge entries by source_type or IDs.
DELETE
/v1/organizations/{orgId}/knowledge/bulk
Bulk delete org knowledge entries by source_type or IDs.
Path Parameters
orgId
string
required
path
Organization ID
Request Body required
Bulk delete params
application/jsonids
string[]
Array of:
source_type
string
Responses
200
OK
application/jsondeleted
integer
curl -X DELETE 'https://api.example.com/v1/organizations/string/knowledge/bulk' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "ids": [ "string" ], "source_type": "string"}'
const response = await fetch('https://api.example.com/v1/organizations/string/knowledge/bulk', { method: 'DELETE', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "ids": [ "string" ], "source_type": "string" })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.delete('https://api.example.com/v1/organizations/string/knowledge/bulk', headers=headers, json={ "ids": [ "string" ], "source_type": "string"})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{ "ids": [ "string" ], "source_type": "string"}`) req, _ := http.NewRequest("DELETE", "https://api.example.com/v1/organizations/string/knowledge/bulk", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "deleted": 123}
API Playground
Try this endpoint
DELETE
/v1/organizations/{orgId}/knowledge/bulk
